Dear all, does any of you ever experience platform server auto upgrade?
I did not upgrade my platform version to the latest version 11.0.118.0, but yet when I login to my environment today, just after I'm about to connect to my environment, I get the following message:

I didn't change my platform server and I wish to change my platform server back to version 10.
Does any of you know how to do it?

It might seem simple but I've been looking everywhere but cannot find it.. Help!


Note: my environment is as following:

Solution

You are probably using the free personal environment and it was upgraded to version 11. All you need to do is go to the Outsystems website and download and install version 11 of the development studio and you should be fine.


Solution

From here if you are having problems finding it

https://www.outsystems.com/home/downloads


Hi,

I encountered the same issue.

What to do if I wanted to keep the older version(OutSystems 10)?

Can I downgrade the platform server?



Thanks!

If your using the free personal version I don't think you can. There should be no need to though, just upgrade your Outsystems Studio and it should just work.

Hi Maya Paramita and Ma. Pamela Patawaran,

If you are using the Personal Environment provided for free by OutSystems, and it was automatically upgraded for you to OutSystems 11, there is no way of reverting to a previous version.

If you have an Enterprise Environment, then you control the upgrade process and can decide when to upgrade or not. But even if you upgraded to OutSystems 11 and decided to go back to OutSystems 10, the only way of downgrading is to restore from a backup of the database that was taken before the upgrade (and install the correct version of the Platform Server, of course)

John Williams wrote:

You are probably using the free personal environment and it was upgraded to version 11. All you need to do is go to the Outsystems website and download and install version 11 of the development studio and you should be fine.


Thank you for your elaborated reply! I have solved the problem! ^^
Initially I wanted to downgrade because my colleague informed me that since she used Service Studio v11, she couldn't open her applications she previously made with Service Studio v10.

After I upgrade the Service Studio to version 11 as you suggested, apparently it didn't happen to me. It seemed (for the free version at least) that in order to open apps made in v10,  using Service Studio v11, the platform server has to be updated too to v11. In conclusion, both the Platform Server version and the Service Studio version has to be the same :)

Thank you everyone for your help! ^^

@Jorge Martins: That's a nice info. Thanks!

Ma. Pamela Patawaran wrote:

Hi,

I encountered the same issue.

What to do if I wanted to keep the older version(OutSystems 10)?

Can I downgrade the platform server?



Thanks!

Hi Ma. Pamela,
In order to open the v10 apps in Service Studio v11, you need to have both Platform Server v11 and open the app using Service Studio v11.

It works for me, I hope it works for you too!


Maya, what happened to your colleague sounds strange. To open Service Studio you need an equal version of Platform Server. 10 for 10, 11 for 11. Otherwise it won't connect.

Version 11 can open and deploy all version 10/11 projects.

Hi, 


here: https://www.outsystems.com/home/downloads/110/ you have all version, you can downgrade!


glad to help

Thiago Mari wrote:

Hi, 

here: https://www.outsystems.com/home/downloads/110/ you have all version, you can downgrade!

glad to help

Thiago, you can download Platform Server, but in Personal Environment you can't install the version you want. For that you need a Enterprise and, in that case, Maya would know an upgrade was scheduled.

Nuno Reis wrote:

Maya, what happened to your colleague sounds strange. To open Service Studio you need an equal version of Platform Server. 10 for 10, 11 for 11. Otherwise it won't connect.

Version 11 can open and deploy all version 10/11 projects.

Dear Nuno,

Yes, I meant, it seems that time my colleague tries to open v10 projects in Service Studio v11, while her Platform Server is still v10. It seems why it won't open :)


Nuno Reis wrote:

Thiago Mari wrote:

Hi, 

here: https://www.outsystems.com/home/downloads/110/ you have all version, you can downgrade!

glad to help

Thiago, you can download Platform Server, but in Personal Environment you can't install the version you want. For that you need a Enterprise and, in that case, Maya would know an upgrade was scheduled.

Hi,


I have the personal environment and i can install, the way is download from that web site, unistall from your computer than intall the version you has made the download


Thiago Mari wrote:

Nuno Reis wrote:

Thiago Mari wrote:

Hi, 

here: https://www.outsystems.com/home/downloads/110/ you have all version, you can downgrade!

glad to help

Thiago, you can download Platform Server, but in Personal Environment you can't install the version you want. For that you need a Enterprise and, in that case, Maya would know an upgrade was scheduled.

Hi,


I have the personal environment and i can install, the way is download from that web site, unistall from your computer than intall the version you has made the download


If you mean Service Studio, yes, you can download and install. The "uninstall previous version" step is not mandatory. But it only works if in the same major version of Platform Server.

If you really mean Platform Server, you can install locally. But to activate it, you need an Enterprise or Trial license. Personal Environment is in the cloud only and you don't install it. You activate it.


Maya Paramita wrote:

Nuno Reis wrote:

Maya, what happened to your colleague sounds strange. To open Service Studio you need an equal version of Platform Server. 10 for 10, 11 for 11. Otherwise it won't connect.

Version 11 can open and deploy all version 10/11 projects.

Dear Nuno,

Yes, I meant, it seems that time my colleague tries to open v10 projects in Service Studio v11, while her Platform Server is still v10. It seems why it won't open :)


Yes Maya you are absolutely correct, you need to have the same Studio version as the server version, it's as simple as that.




All this talk about installing and uninstalling server versions is going to start confusing people.